// Generalized Class For Hash Table
#ifndef H_cHash
#define H_cHash

#include <stdio.h>
#include "TOOLType.h"

template<class T> class cHash{
protected:
	T * Table;
	bool * Exist;
	int Items;

public:
	cHash();
	cHash(int nItems);
	~cHash();

	bool Create(int nItems);
	void Destroy();

	bool IsIn(T &A);
	bool Get(T &A);
	bool Insert(T &A);
	bool Delete(T &A);

};

#endif